Name:          gtk-doc
Version:       1.30
Release:       1mamba
Summary:       API documentation generation tool for GTK+ and GNOME
Group:         Graphical Desktop/Applications/Development
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gtk.org
Source:        ftp://ftp.gnome.org/pub/gnome/sources/gtk-doc/%{version}/gtk-doc-%{version}.tar.xz
Patch0:        gtk-doc-1.15-fixxref-vim-7.3.patch
License:       GPL
BuildRequires: perl
BuildRequires: openjade
BuildRequires: libxslt
BuildRequires: xml-common >= 0.6.3
BuildRequires: libxml2-utils >= 2.6.17
BuildRequires: docbook-dtds >= 1.0.20050222
BuildRequires: docbook-xsl >= 1.68.1
BuildRequires: dblatex
%if "%{stage1}" != "1"
BuildRequires: libscrollkeeper-devel
BuildRequires: gnome-doc-utils
%endif
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-devel >= 5.24
Requires:      perl >= 5.24
Provides:      perl(gtkdoc-common.pl)
Requires:      docbook-utils
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GTK-Doc is a tool for generating API reference documentation.
It is used for generating the documentation for GTK+, GLib and GNOME.

%prep
%setup -q -n gtk-doc-%{version}
#%patch0 -p1

%build
%configure \
   --enable-public-id \
   --disable-scrollkeeper
%make pkgconfigdir=%{_libdir}/pkgconfig

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall pkgconfigdir=%{_libdir}/pkgconfig

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/aclocal/gtk-doc.m4
%dir %{_datadir}/gtk-doc
%{_datadir}/gtk-doc/*
#%dir %{_datadir}/sgml/gtk-doc
#%{_datadir}/sgml/gtk-doc/*
%if "%{stage1}" != "1"
%dir %{_datadir}/help/*/gtk-doc-manual
%{_datadir}/help/*/gtk-doc-manual/*.xml
%{_datadir}/help/*/gtk-doc-manual/index.docbook
#%dir %{_datadir}/omf/gtk-doc-manual
#%{_datadir}/omf/gtk-doc-manual/gtk-doc-manual-*.omf
%endif
%{_libdir}/pkgconfig/gtk-doc.pc
%dir %{_datadir}/cmake/GtkDoc
%{_datadir}/cmake/GtkDoc/GtkDoc*.cmake
%doc AUTHORS COPYING
#ChangeLog NEWS README TODO

%changelog
* Sat May 11 2019 Automatic Build System <autodist@mambasoft.it> 1.30-1mamba
- automatic version update by autodist

* Wed Aug 29 2018 Automatic Build System <autodist@mambasoft.it> 1.29-1mamba
- automatic version update by autodist

* Sun Mar 25 2018 Automatic Build System <autodist@mambasoft.it> 1.28-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 1.27-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Automatic Build System <autodist@mambasoft.it> 1.26-1mamba
- automatic version update by autodist

* Sat Nov 05 2016 Automatic Build System <autodist@mambasoft.it> 1.25-1mamba
- automatic version update by autodist

* Sat May 30 2015 Automatic Build System <autodist@mambasoft.it> 1.24-1mamba
- automatic version update by autodist

* Sun May 17 2015 Automatic Build System <autodist@mambasoft.it> 1.23-1mamba
- automatic version update by autodist

* Thu May 07 2015 Automatic Build System <autodist@mambasoft.it> 1.22-1mamba
- automatic version update by autodist

* Fri Jul 18 2014 Automatic Build System <autodist@mambasoft.it> 1.21-1mamba
- automatic version update by autodist

* Sun Feb 16 2014 Automatic Build System <autodist@mambasoft.it> 1.20-1mamba
- automatic version update by autodist

* Thu Jun 06 2013 Automatic Build System <autodist@mambasoft.it> 1.19-1mamba
- automatic version update by autodist

* Thu May 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18-2mamba
- require docbook-utils

* Wed Sep 14 2011 Automatic Build System <autodist@mambasoft.it> 1.18-1mamba
- automatic version update by autodist

* Wed Apr 06 2011 Automatic Build System <autodist@mambasoft.it> 1.17-1mamba
- automatic update by autodist

* Thu Dec 23 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.15-2mamba
- add again fixxref patch to fix a problem with vim 7.3 (http://bugs.gentoo.org/show_bug.cgi?id=333313)

* Wed Sep 29 2010 Automatic Build System <autodist@mambasoft.it> 1.15-1mamba
- automatic update to 1.15 by autodist

* Fri Aug 20 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14-2mamba
- added requirement for dblatex and remove dependency on fop (java) for xml manual build

* Sun May 30 2010 Automatic Build System <autodist@mambasoft.it> 1.14-1mamba
- automatic update to 1.14 by autodist

* Mon Mar 15 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-2mamba
- added fix_fixref patch

* Sun Dec 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.13-1mamba
- update to 1.13

* Sat Dec 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12-1mamba
- update to 1.12

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- automatic update by autodist

* Wed Oct 01 2008 gil <puntogil@libero.it> 1.10-1mamba
- update to 1.10
- excluding directory /var/scrollkeeper from package

* Wed May 14 2008 gil <puntogil@libero.it> 1.9-1mamba
- update to 1.9
- edit setup: before -q -D -T,  after -q -n gtk-doc-%{version}
- new buildrequires:  perl-devel

* Thu Jan 04 2007 Davide Madrisan <davide.madrisan@qilinux.it> 1.7-1qilnx
- update to version 1.7 by autospec

* Fri May 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 1.3-1qilnx
- package created by autospec
